/* =====
   SHARE
   =====  */
 
.share {
  position: relative;
  z-index: 999; /* Large to make sure tooltips sit above page */
  display: flex;
  flex-direction: column;
  align-items: flex-start; }
   
.share__heading {
  display: none; }
   
.share ul {
  display: flex;
  gap: 0.5em;
  padding: 0;
  margin: 0;
  list-style: none; }
   
/* Hide screen reader text visually */
.sharing-screen-reader-text {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0,0,0,0);
  border: 0; }
   
.share ul li {
  position: relative; }
   
.share ul li a {
  display: flex;
  align-items: center;
  will-change: transform;
  transition: transform .4s;
  justify-content: center;
  height: 36px;
  width: 36px;}
   
.share ul li a:hover  {
  transform: scale(1.12); }
   
   
/* Copy to clipboard */
.copy-to-clipboard {
  position: relative;
  cursor: pointer;
  outline: none; }
  
/* Tooltip style using :after */
.copy-to-clipboard::after {
  content: attr(data-success);
  display: none;
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  padding: 0.3em 0.6em;
  border-radius: 4px;
  white-space: nowrap;
  background: var(--color__white);
  z-index: 10;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s; }
   
.copy-to-clipboard.copied::after {
  display: block;
  opacity: 1;
  animation: fadeinout 1.6s linear forwards; }
    


/* Background images */
/* Need background images so that we can swap out image in media queries */

.share li a {
  background: no-repeat center; }
  
li.share__x a {           background-image: url('../../images/icon/share/x.svg');  }
li.share__linkedin a {     background-image: url('../../images/icon/share/linkedin.svg');  }
li.share__facebook a {     background-image: url('../../images/icon/share/facebook.svg');  }
li.share__copy a {          background-image: url('../../images/icon/share/link.svg');  }

@media (max-width:600px) {
  
  .article__header li.share__x a {           background-image: url('../../images/icon/share/x-bright.svg');  }
  .article__header li.share__linkedin a {     background-image: url('../../images/icon/share/linkedin-bright.svg');  }
  .article__header li.share__facebook a {     background-image: url('../../images/icon/share/facebook-bright.svg');  }
  .article__header li.share__copy a {          background-image: url('../../images/icon/share/link-bright.svg');  }

}




